通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Private Endpoint Connections - Delete

断开专用终结点连接,并将其从搜索服务中删除。 成功删除时返回200(正常)并显示已删除的连接详情,若连接不存在则返回404(未找到)。 注意:申报404表的行为与ARM指南不符。 客户端应预期未来版本会收到204响应,避免对404响应产生新的依赖。

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Search/searchServices/{searchServiceName}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2025-05-01

URI 参数

名称 必需 类型 说明
privateEndpointConnectionName
path True

string

与具有指定资源组的 Azure AI 搜索服务的专用终结点连接的名称。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

searchServiceName
path True

string

pattern: ^(?=.{2,60}$)[a-z0-9][a-z0-9]+(-[a-z0-9]+)*$

与指定资源组关联的 Azure AI 搜索服务的名称。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

用于此操作的 API 版本。

请求头

名称 必需 类型 说明
x-ms-client-request-id

string (uuid)

一个客户端生成的 GUID 值,用于标识此请求。 如果指定,响应信息中将包含此内容作为跟踪请求的一种方式。

响应

名称 类型 说明
200 OK

PrivateEndpointConnection

Azure作已成功完成。

404 Not Found

服务器找不到请求的资源。

Other Status Codes

CloudError

意外错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 流程。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

PrivateEndpointConnectionDelete

示例请求

DELETE https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchservice/privateEndpointConnections/testEndpoint.50bf4fbe-d7c1-4b48-a642-4f5892642546?api-version=2025-05-01

示例响应

{
  "name": "testEndpoint.50bf4fbe-d7c1-4b48-a642-4f5892642546",
  "type": "Microsoft.Search/searchServices/privateEndpointConnections",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchservice/privateEndpointConnections/testEndpoint.50bf4fbe-d7c1-4b48-a642-4f5892642546",
  "properties": {
    "privateEndpoint": {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/privateEndpoints/testEndpoint"
    },
    "privateLinkServiceConnectionState": {
      "description": "",
      "actionsRequired": "None",
      "status": "Disconnected"
    }
  }
}

定义

名称 说明
CloudError

包含有关 API 错误的信息。

CloudErrorBody

描述具有错误代码和消息的特定 API 错误。

createdByType

创建资源的标识的类型。

PrivateEndpointConnection

描述与 Azure AI 搜索服务的现有专用终结点连接。

PrivateEndpointConnectionProperties

描述与搜索服务的现有专用终结点连接的属性。

PrivateEndpointConnectionPropertiesPrivateEndpoint

来自 Microsoft.Network 提供程序的专用终结点资源。

PrivateEndpointConnectionPropertiesPrivateLinkServiceConnectionState

描述与专用终结点的现有 Azure 专用链接服务连接的当前状态。

PrivateLinkServiceConnectionProvisioningState

专用链接服务连接的预配状态。 有效值为“正在更新”、“删除”、“失败”、“成功”、“不完整”或“已取消”。

PrivateLinkServiceConnectionStatus

专用链接服务连接的状态。 有效值为 Pending、Approved、Rejected 或 Disconnected。

systemData

与创建和上次修改资源相关的元数据。

CloudError

包含有关 API 错误的信息。

名称 类型 说明
error

CloudErrorBody

描述具有错误代码和消息的特定 API 错误。

message

string

提示出错的错误的简要说明(有关详细信息/调试信息,请参阅“error.message”属性)。

CloudErrorBody

描述具有错误代码和消息的特定 API 错误。

名称 类型 说明
code

string

比 HTTP 状态代码更准确地描述错误条件的错误代码。 可用于以编程方式处理特定错误案例。

details

CloudErrorBody[]

包含与此错误相关的嵌套错误。

message

string

详细说明错误并提供调试信息的消息。

target

string

特定错误的目标(例如,错误中属性的名称)。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

PrivateEndpointConnection

描述与 Azure AI 搜索服务的现有专用终结点连接。

名称 类型 说明
id

string (arm-id)

资源的完全限定资源 ID。 例如“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

name

string

资源的名称

properties

PrivateEndpointConnectionProperties

介绍与 Azure AI 搜索服务的现有专用终结点连接的属性。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

type

string

资源类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

PrivateEndpointConnectionProperties

描述与搜索服务的现有专用终结点连接的属性。

名称 类型 说明
groupId

string

专用链接服务的 Azure 资源的组 ID。

privateEndpoint

PrivateEndpointConnectionPropertiesPrivateEndpoint

来自 Microsoft.Network 提供程序的专用终结点资源。

privateLinkServiceConnectionState

PrivateEndpointConnectionPropertiesPrivateLinkServiceConnectionState

描述与专用终结点的现有 Azure 专用链接服务连接的当前状态。

provisioningState

PrivateLinkServiceConnectionProvisioningState

专用链接服务连接的预配状态。 有效值为“正在更新”、“删除”、“失败”、“成功”、“不完整”或“已取消”。

PrivateEndpointConnectionPropertiesPrivateEndpoint

来自 Microsoft.Network 提供程序的专用终结点资源。

名称 类型 说明
id

string

来自 Microsoft.Network 提供程序的专用终结点资源的资源 ID。

PrivateEndpointConnectionPropertiesPrivateLinkServiceConnectionState

描述与专用终结点的现有 Azure 专用链接服务连接的当前状态。

名称 类型 默认值 说明
actionsRequired

string

None

对可能需要执行的任何额外操作的说明。

description

string

专用链接服务连接状态的说明。

status

PrivateLinkServiceConnectionStatus

专用链接服务连接的状态。 有效值为 Pending、Approved、Rejected 或 Disconnected。

PrivateLinkServiceConnectionProvisioningState

专用链接服务连接的预配状态。 有效值为“正在更新”、“删除”、“失败”、“成功”、“不完整”或“已取消”。

说明
Updating

专用链接服务连接正在与其他资源一起创建,以便其功能完全正常运行。

Deleting

正在删除专用链接服务连接。

Failed

无法预配或删除专用链接服务连接。

Succeeded

专用链接服务连接已完成预配,可供审批。

Incomplete

已接受专用链接服务连接资源的预配请求,但尚未开始创建过程。

Canceled

已取消专用链接服务连接资源的预配请求。

PrivateLinkServiceConnectionStatus

专用链接服务连接的状态。 有效值为 Pending、Approved、Rejected 或 Disconnected。

说明
Pending

已创建专用终结点连接,并且正在等待审批。

Approved

专用终结点连接已获批准,可供使用。

Rejected

专用终结点连接已被拒绝,不能使用。

Disconnected

专用终结点连接已从服务中删除。

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。